/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.rebaterecord.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 返利记录实体
 *
 * @author wulei
 * @date  2025/02/06 17:39
 **/
@Getter
@Setter
@TableName("biz_rebate_record")
public class BizRebateRecord {

    /** 代金券记录id */
    @TableId
    @Schema(description = "代金券记录id")
    private String id;

    /** 代金券金额 */
    @Schema(description = "代金券金额")
    private BigDecimal rebateAmout;

    /** 推荐人 */
    @Schema(description = "推荐人")
    private String recommendUserId;

    /** 充值人 */
    @Schema(description = "充值人")
    private String rechargeUserId;

    /** 代金券状态： 1. 待生效 2.已生效 */
    @Schema(description = "代金券状态： 1. 待生效 2.已生效")
    private String rebateStatus;

    /** 删除标志:NOT_DELETE 正常,DELETED 已删除 */
    @Schema(description = "删除标志:NOT_DELETE 正常,DELETED 已删除")
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private String deleteFlag;

    /** 创建人 */
    @Schema(description = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 创建时间 */
    @Schema(description = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 修改时间 */
    @Schema(description = "修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改人 */
    @Schema(description = "修改人")
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;
}
